Lists support event subscriptions.
EXAMPLES:
cURL:
parent="organizations/123456789"
curl \
--header "Authorization: Bearer $(gcloud auth print-access-token)" \
"https://cloudsupport.googleapis.com/v2/$parent/supportEventSubscriptions"
Python:
import googleapiclient.discovery
apiVersion = "v2"
supportApiService = googleapiclient.discovery.build(
serviceName="cloudsupport",
version=apiVersion,
discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
)
request = supportApiService.supportEventSubscriptions().list(
parent="organizations/123456789"
)
print(request.execute())
HTTP request
GET https://cloudsupport.googleapis.com/v2/{parent=*/*}/supportEventSubscriptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The fully qualified name of the Cloud resource to list support event subscriptions under. Format: organizations/{organizationId} |
Query parameters
| Parameters | |
|---|---|
filter |
Optional. Filter expression based on AIP-160. Supported fields: - pubSubTopic - state Examples: - |
showDeleted |
Optional. Whether to show deleted subscriptions. By default, deleted subscriptions are not returned. |
pageSize |
Optional. The maximum number of support event subscriptions to return. |
pageToken |
Optional. A token identifying the page of results to return. If unspecified, the first page is retrieved. When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for supportEventSubscriptions.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"supportEventSubscriptions": [
{
object ( |
| Fields | |
|---|---|
supportEventSubscriptions[] |
The support event subscriptions. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloudsupporthttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.